Jump to content

Fatal Error 'Error 1714. The older version of cannot be removed' (MSI Error 1714) Displays During Software Installation in Windows XP

  • PrintPrint

Issue

When you install the HP software, the following fatal error message displays on the computer:
'Error 1714. The older version of <PROGRAM NAME> cannot be removed .'
NOTE:The program in <PROGRAM NAME> varies, depending on what program the installer cannot remove.

Solution: Obtain the latest HP software update

HP designed an update to correct this issue.
NOTE:This software update is available for Windows XP operating systems only.
  1. To download and install the HP software update, right-click this link, HP Software Update , and then select Open Link in New Window .
  2. Thoroughly review the information on the download information page, and then follow the on-screen instructions to download and install the software.

HP Support forums

Find solutions and collaborate with others on the HP Support Forum
HP.comHP on FacebookHP on TwitterHP on YouTubeHP on Linked InHP on FlickrHP on Google+